| POST | /RestApi/translations/translate |
|---|
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
Namespace Global
Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
Public Partial Class CreateProject
Implements IProjectInfo
Public Overridable Property Title As String Implements IProjectInfo.Title
Public Overridable Property StartDate As Date? Implements IProjectInfo.StartDate
Public Overridable Property EndDate As Date? Implements IProjectInfo.EndDate
Public Overridable Property Description As String Implements IProjectInfo.Description
Public Overridable Property Connector As String Implements IProjectInfo.Connector
Public Overridable Property PoReference As String Implements IProjectInfo.PoReference
Public Overridable Property ActualSourceLanguage As String Implements IProjectInfo.ActualSourceLanguage
End Class
End Namespace
Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Public Partial Class SendForTranslation
Public Overridable Property Ids As IEnumerable(Of Guid)
Public Overridable Property ProjectData As CreateProject
End Class
End Namespace
End Namespace
VB.NET SendForTranslation DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/translate HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}